getting ROTATE to default to Reference

Discussion in 'AutoCAD' started by Richard Chalmers, Mar 31, 2005.

  1. Is there a way to get ROTATE to default to Reference?

    Richard Chalmers
     
    Richard Chalmers, Mar 31, 2005
    #1
  2. Richard Chalmers

    kemp Guest

    This may be a little oversimplified, but here is what I use:

    (defun c:rtr ()
    (setq object (car (entsel "\nSelect object:"))
    basepnt (getpoint "\nSpecify base point:"))
    (command "ROTATE" object "" basepnt "R")
    )

    Limitations: no error checking, does not highlight the object being
    rotated, and it can only rotate one object at a time. With a little
    tweaking it can do all these thongs though.

    kemp
     
    kemp, Mar 31, 2005
    #2
  3. You could put this in a toolbar or button or pull-down or screen menu item,
    and use it instead of the original command:

    [ROTbyREF]*^C^CSELECT \ROTATE P R

    Doing the Select first, and then using the resulting Previous selection set
    in the Rotate command, overcomes Kemp's non-highlighting and
    only-one-at-a-time problems. It will recall itself automatically as long as
    you want to keep doing it (I don't think you can do that with a defun'd
    command redefinition).
     
    Kent Cooper, AIA, Mar 31, 2005
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.